#
# spec file for package sitecopy
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           sitecopy
BuildRequires:  fdupes
BuildRequires:  neon-devel
BuildRequires:  pkgconfig
Summary:        Local to Remote Website Synchronizer
License:        GPL-2.0+
Group:          Productivity/Networking/Web/Utilities
Version:        0.16.6
Release:        lp150.1.3
Requires:       %{name}-lang = %{version}
Url:            http://www.manyfish.co.uk/sitecopy/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        http://www.lyra.org/sitecopy/sitecopy-%{version}.tar.bz2
Patch0:         sitecopy-support-neon-0.29.diff

%description
Sitecopy is useful for copying locally stored web sites to remote web
servers. The program will upload files which have changed locally to
the server and delete files from the server which have been removed
locally to keep the remote site synchronized with the local site, all
with a single command.	The aim is to remove the hassle of uploading
and deleting individual files using an FTP client. FTP, WebDAV, and
HTTP-based authoring servers are supported.

%lang_package
%prep
%setup -q
%patch0 -p1
# Forcibly prevent use of bundled neon/expat/gettext sources.
rm -r lib/neon/*.[ch] intl/*.[ch]

%build
%configure \
	--with-expat \
	--with-ssl
make %{?jobs:-j%jobs}

%install
OMG=`mktemp -u /tmp/$$.%{name}-install-tmp.XXXXXXXXXX`
make DESTDIR=$RPM_BUILD_ROOT docdir=$OMG pkgdatadir=$OMG install MANLANGS=
rm -rf examples
mkdir  examples
cp -avL doc/examplerc doc/update.sh examples
rm -rf "$RPM_BUILD_ROOT$OMG"
%find_lang %name
%fdupes $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
/usr/bin/sitecopy
%doc BUGS NEWS COPYING README THANKS  TODO
%doc examples
%{_mandir}/man1/*

%files lang -f %{name}.lang

%changelog
* Sun Apr 27 2014 crrodriguez@opensuse.org
- fix build with no SSLv2, caused by package using
  bundled neon library, update supporting patch
  (sitecopy-support-neon-0.29.diff)
* Mon Sep  6 2010 coolo@novell.com
- take support for new neon function from cadaver
* Tue Aug  5 2008 olh@suse.de
- update to version 0.16.6
  DAV: Fix crash with progress bar enabled with neon 0.27/0.28.
  DAV: Fix SSL cert caching to avoid repeated prompts.
  Update to neon 0.28.3 and support neon 0.24.x through 0.28.x.
* Fri Jan  4 2008 olh@suse.de
- do not use built-in neon
* Wed Aug  8 2007 maw@suse.de
- Use %%fdupes
- Split off a -lang subpackage.
* Thu Jul 20 2006 olh@suse.de
- update to version 0.16.3
  DAV: Add PKCS#12 client cert support; "client-cert /path/to/cert.p12"
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sun Jan  1 2006 olh@suse.de
- update to version 0.16.2
* Wed Sep 28 2005 olh@suse.de
- update to version 0.16.1
* Sat Aug 27 2005 olh@suse.de
- update to version 0.16.0 (#113504)
* Sat May 21 2005 olh@suse.de
- update to version 0.15.1
* Thu Jan  6 2005 olh@suse.de
- update to version 0.14.3, drop xsitecopy
* Wed Nov 10 2004 ro@suse.de
- reduced neededforbuild
* Wed Apr 28 2004 ro@suse.de
- changed return type to "void" for druid_back
* Thu Nov  6 2003 schwab@suse.de
- Fix quoting in configure script.
* Sat Aug 16 2003 adrian@suse.de
- fix last change
* Fri Aug 15 2003 adrian@suse.de
- add Categories
* Thu Jul  3 2003 ro@suse.de
- /opt/gnome/share/aclocal is gone
* Tue Jun  3 2003 olh@suse.de
- workaround broken rpm4
* Mon Jan 20 2003 olh@suse.de
- add sitecopy-0.11.4.mkdir.diff (#12545)
  simplify specfile
* Fri Sep 27 2002 ro@suse.de
- Added alsa alsa-devel to neededforbuild (esound)
* Mon Apr  8 2002 ro@suse.de
- copy conditionals to main path of configure(.in)
- change some LIBOBJS usages to AC_LIBOBJ
* Fri Mar 15 2002 olh@suse.de
- add /opt/gnome/share/xsitecopy to file list
* Tue Jan 22 2002 olh@suse.de
- update to 0.11.4
* Tue Jan 22 2002 olh@suse.de
- rename xsitecpy to xsitecopy, fix compile with gnome1
* Thu Jan 10 2002 olh@suse.de
- update to 0.11.3
* Sun Jan  6 2002 olh@suse.de
-update to 0.11.2
* Wed Jul 11 2001 olh@suse.de
- enable openssl support
* Wed Jul 11 2001 olh@suse.de
- gcc30 compile fixes
* Tue Mar 13 2001 ro@suse.de
- added xf86 to neededforbuild
* Thu Mar  1 2001 egger@suse.de
- Updated to version 0.10.15
* Sun Feb 25 2001 egger@suse.de
- Remove unnecessary dependencies from #neededforbuild,
  especially imlib-config.
* Tue Jan 30 2001 ro@suse.de
- changed neededforbuild <imlibcfe> to <imlib-config>
* Tue Dec 12 2000 olh@suse.de
- update to 0.10.9
* Wed Nov 22 2000 olh@suse.de
- update to 0.10.7
* Tue Nov  7 2000 kukuk@suse.de
- Add esound-devel to neededforbuild
* Wed Nov  1 2000 egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Sun Sep 17 2000 olh@suse.de
- update to 0.10.6, fix gnome header path
* Mon Sep 11 2000 olh@suse.de
-  add libgladd to neededforbuild
* Sun Sep 10 2000 olh@suse.de
- fix specfile
* Mon Sep  4 2000 egger@suse.de
- Update to 0.10.4.
* Sun Mar 12 2000 olh@suse.de
- update to 0.9.8
* Wed Mar  8 2000 olh@suse.de
- update to 0.9.7
* Tue Mar  7 2000 olh@suse.de
- update to 0.9.6, use locale
* Thu Mar  2 2000 olh@suse.de
- update to 0.9.5
* Fri Feb  4 2000 olh@suse.de
- update to 0.9.4
* Wed Jan 26 2000 olh@suse.de
- update to 0.9.3
  /usr/man -> /usr/share/man
  check for compile errors on axp,i386,ppc
* Thu Dec  9 1999 olh@suse.de
- added expat to # neededforbuild
* Tue Dec  7 1999 olh@suse.de
- remove expat from package
* Mon Oct 25 1999 olh@suse.de
- update to 0.8.4
* Sat Oct 23 1999 olh@suse.de
- fixed dump specfile, add more docs
- check for build on i386, axp, ppc
- added libexpat, a XML parser in C
* Fri Oct 22 1999 olh@suse.de
- fixed installdir for sitecopy
* Fri Oct 22 1999 olh@suse.de
- update to 0.8.3
* Tue Sep 21 1999 olh@suse.de
- add sitecopy package to SuSE distribution
